------------------------------------------------------------------------------------
--Name:  	juqing2
--Creator:	由剧情表现脚本编辑器生成
--Created:	2024-04-30
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(547, 506)
CppScriptMgr:SetViewScale(200)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:ShakeScrEffect(1)
local effect_0 = CppScriptMgr:AddEffect("Ren_JMBJ", 550, 511, 33, 1, 1, 1)
effect_0:Scale(2, 2, 2)
local npc_0 = CppScriptMgr:AddSimplePlayer(1056220, 551, 513, "", 0, 0)
npc_0:SetDir(0)
npc_0:SetZoomPercent(10)
local effect_3 = CppScriptMgr:AddEffect("QiFuLev3", 550, 511, 33, 1, 1, 1)
effect_3:Scale(2, 2, 2)
CppScriptMgr:WaitMilSec(500)
ChangeNpcZoom(npc_0, 10, 120, 5, 33)
CppScriptMgr:WaitMilSec(1000)
npc_0:SetAction(102)
CppScriptMgr:WaitMilSec(2000)